Переполнение буфера в функции iriap_getvaluebyclass_indication() в ядре Linux

Дата публикации:
28.03.2011
Дата изменения:
28.03.2011
Всего просмотров:
2046
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:A/AC:H/Au:N/C:C/I:C/A:P/E:U/RL:U/RC:C) = Base:6.5/Temporal:5.5
CVE ID:
CVE-2011-1180
Вектор эксплуатации:
Локальная сеть
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Linux Kernel 2.6.x
Уязвимые версии: Linux kernel 2.6.x

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных в функции iriap_getvaluebyclass_indication() в файле net/irda/iriap.c. Удаленный пользователь может с помощью слишком длинных имени или атрибутов вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: www.kernel.org

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://permalink.gmane.org/gmane.linux.network/190145

или введите имя

CAPTCHA